de.esprit.netsuite.rtask

## Class RemoteTaskEventProcessor<C extends ClientContext>

- java.lang.Object
- - de.esprit.netsuite.rtask.RemoteTaskEventProcessor<C>

- All Implemented Interfaces:
    ClientObject<C>

      public final class RemoteTaskEventProcessor<C extends ClientContext>
      extends java.lang.Object
      implements ClientObject<C>

  This class iterates through the `RemoteTaskEvent`s received by the given `RemoteTaskEventIterator` and forwards the the events to the receiving `RemoteTaskEventReceiver`. Iteration continues in any case until the FINISHED event is received. After finishing a received cancelled event leads to a `CancellationException`, a FAILED event leads to an according `Exception` to be thrown.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoteTaskEventProcessor(RemoteTaskId remoteTaskId, RemoteTaskEventReceiver receivingTask)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `C` | `getClientContext()` Returns the the client runtime environment
    `void` | `processEvents()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RemoteTaskEventProcessor

          public RemoteTaskEventProcessor(RemoteTaskId remoteTaskId,
                                  RemoteTaskEventReceiver receivingTask)
                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### getClientContext

          public final C getClientContext()

      Description copied from interface: `ClientObject`
      Returns the the client runtime environment
      Specified by:
        `getClientContext` in interface `ClientObject<C extends ClientContext>`

    - #### processEvents

          public void processEvents()
                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.